Issue 111874 - Help IDs always should be strings
Summary: Help IDs always should be strings
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: 3.4.0
Assignee: philipp.lohmann
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 12:35 UTC by Mathias_Bauer
Modified: 2010-11-01 11:31 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Mathias_Bauer 2010-05-27 12:35:01 UTC
HelpIds used in src files, in c++ code and all Auto-HIDs shall become strings.
This requires rework in the rsc compiler and rsc runtime functionality. At least
VCL and some client code will be affected as well.
Comment 1 philipp.lohmann 2010-05-27 12:45:39 UTC
Changes involved are:

- change type of help id to (byte) string in Window, MenuItem and ToolboxItem
- change creation of automatic help ids accordingly
- change resource compiler to write modified binary resource format
Comment 2 philipp.lohmann 2010-07-15 10:39:37 UTC
fixed in CWS changehid:

Window's HelpID and UniqueID are now rtl::OString
rsc accepts only character arrays as HelpID and UniqueID
automatic HelpIDs are generated as rtl::OString 
Comment 3 Mathias_Bauer 2010-10-18 10:34:37 UTC
setting release
Comment 4 Mathias_Bauer 2010-10-21 13:48:36 UTC
verified by build - build breaks reliably if a numerical HelpId is used in c++
source code or rsc files
Comment 5 philipp.lohmann 2010-11-01 11:31:00 UTC
integrated in DEV300_m91

closing